---
layout: mockup
title: "Calendar - Headerbar"
theme: Adwaita/Adwaita.css
permalink: calendar/headerbar
wallpaper: adwaita
---
<!-- Window -->
<div class="window large">
	<!-- Titlebar -->
	<div class="titlebar grouped">
		<!-- left button group -->
		<div class="button-group float-left">
			<a class="button image-button" id="addEvent" onclick="$('#newEventDialog').show();">{%- include symbolic/actions/list-add-symbolic.svg -%}</a><a class="button text-button">Today</a><div class="linked">
				<a class="button image-button left">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a><a class="button image-button right">{%- include symbolic/actions/go-next-symbolic.svg -%}</a>
			</div>
		</div>
		<!-- center button group -->
		<div class="button-group float-center">
			<div class="linked stack-switcher">
				<a class="button text-button left">Week</a><a class="button text-button middle">Month</a><a class="button text-button right">Year</a>
			</div>
		</div>
		<!-- right button group -->

		<div class="button-group float-right">
			<a class="button image-button">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a><a class="button image-button" id="calendarsSynchronizing"><div class="icon s16 spinner">{%- include symbolic/status/process-working-symbolic.svg -%}</div></a><a class="button image-button" id="calendarsPopover">{%- include symbolic/apps/office-calendar-symbolic.svg -%}</a><a class="button image-button" id="calendarMenu">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="row">
		</div>
	</div>
	<!-- New Event Dialog -->
	<div class="gtkdialog" id="newEventDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped">
				<div class="button-group float-left"><a class="button text-button" onclick="$('#newEventDialog').hide();">Cancel</a></div>
				<!-- Title -->
				<div class="title-group">
					<div class="title">Unnamed Event</div><div class="subtitle">Personal Calandar</div>
				</div>
				<div class="button-group float-right"><a class="button text-button suggested-action" id="addEventDone" onclick="$('#newEventDialog').hide();">Add</a></div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li>
							<label>Event Title</label>
							<input class="entry float-right" placeholder="Unnamed Event"></input>
						</li>
						<li>
							<label>Location</label>
							<input class="entry float-right" placeholder="Location"></input>
						</li>
						<li>
							<label>All-day</label>
							{%- include components/switch.html float = "right" checked = "checked" onclick = "$('#addEventStartTimeStatus').toggleClass('hidden');$('#addEventEndTimeStatus').toggleClass('hidden');" -%}
						</li>
						<li id="addEventStarts">
							<label>Starts</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="addEventStartStatus">05/09/2019</label>
							<label class="float-right hidden" id="addEventStartTimeStatus">10:00 AM</label>
						</li>
						<li id="addEventEnds">
							<label>Ends</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="addEventEndStatus">05/09/2019</label>
							<label class="float-right hidden" id="addEventEndTimeStatus">11:00 AM</label>
						</li>
						<li id="addEventRepeats">
							<label>Repeat</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="addEventRepeatStatus">No Repeat</label>
						</li>
						<li id="addEventReminder">
							<label>Reminder</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="addEventRepeatStatus">No Reminder</label>
						</li>
					</ul>
				</div>
				<div class="row">
					<h4>Notes</h4>
					<textarea class="full-width" placeholder="Notes (Imagine it actually fits in this list row)"></textarea>
				</div>
			</div>
		</div>
	</div>
	<!-- New Calendar Dialog -->
	<div class="gtkdialog" id="newCalendarsDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped">
				<div class="button-group float-left"><a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a></div>
				<!-- Title -->
				<div class="title-group">
					<span class="title">New Calandar</span>
				</div>
				<div class="button-group float-right"><a class="button text-button float-right" id="addEventDone" onclick="$('.gtkdialog').hide();">Done</a></div>
			</div>
			<div class="gtkdialog-content">
				<ul class="listrow">
					<li>
						<label>Calendar Name</label>
						<input class="entry float-right" placeholder="Unnamed Calendar"></input>
					</li>
					<li>
						<label>Color</label>
						<a class="button text-button float-right">Green</a>
					</li>
				</ul>
				<br>
				<h3>Import a Calendar</h3>
				<p>Alternatively, enter the web address of an online calendar you want to import, or open a supported calendar file.</p>
				<p><input class="entry full-width float-left" placeholder="https://example.com/calendar.ics" style="max-width: 77%"></input><a class="button text-button float-right">Open...</a></p>
				<p><input type="checkbox" class="switch-input" onclick="$('#calendarAuthenticate').toggleClass('hidden');"> Requires Authentication</p>
				<ul id="calendarAuthenticate" class="listrow hidden">
					<li>
						<label>Username</label>
						<input class="entry float-right" placeholder="username" style="width:256px;"></input>
					</li>
					<li>
						<label>Password</label>
						<input class="entry float-right" placeholder="password" style="width:256px;"></input>
					</li>
				</ul>
				<p>If the calendar belongs to one of your online accounts, you can connect Calendar to your account in the <a href="">online account settings</a>.</p>
			</div>
		</div>
	</div>
	<!-- New Event Dialog -->
	<div class="gtkdialog" id="manageCalendarsDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped" title="Manage Calendars">
				<div class="button-group float-right">
					{%- include components/close-button.html close = "gtkdialog" -%}
				</div>
			</div>
			<div class="gtkdialog-content">
				<ul class="listrow">
					<li class="medium">
						<div class="avatar small"></div>
						<div class="label-group">
							<label>Birthdays & Anniveraries</label>
							<label class="small-label dim-label">Contacts</label>
						</div>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li class="medium">
						<div class="avatar small"></div>
						<div class="label-group">
							<label>Personal</label>
							<label class="small-label dim-label">On this Computer</label>
						</div>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li class="text-center" onclick="$('#newCalendarsDialog').show();$('#manageCalendarsDialog').hide();">,
						<label>Add Calendar...</label>
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>


<!-- js -->
<script type="text/javascript">
$('#newEventDialog').show();
$('#calendarsSynchronizing').hide();
// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li>Online Accounts...</li>',
		'<li>Weather</li>',
		'<hr>',
		'<li>Keyboard Shortcuts</li>',
		'<li>About Calendar</li>',
		'</ul>'].join('');

	$('#calendarMenu').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li>New Calendar...</li>',
		'<li>Import Online Calendar...</li>',
		'<li>Import Calendar from File...</li>',
		'</ul>'].join('');

	$('#addCalendarMenu').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li>Birthdays <input type="checkbox" class="float-right" checked></li>',
		'<li>Personal <input type="checkbox" class="float-right" checked></li>',
		'<li>Work <input type="checkbox" class="float-right" checked></li>',
		'<li>Sports <input type="checkbox" class="float-right" checked></li>',
		'<hr>',
		'<li onclick="$(&apos;#calendarsSynchronizing&apos;).show();$(&apos;#calendarsPopover&apos;).hide();">Synchronize Calendars</li>',
		'<li onclick="$(&apos;#manageCalendarsDialog&apos;).show();">Manage Calendars...</li>',
		'</ul>'].join('');

	$('#calendarsPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});
</script>